## com.sun.j3d.utils.universe
Interface LocaleFactory

    public interface LocaleFactory

This interface defines a factory for creating Locale objects in a SimpleUniverse. Implementations of the createLocale methods in this interface should construct a new Locale object from the specified parameters. This class is used by the SimpleUniverse class to construct the default Locale used to hold the view and content branch graphs.

Since:
  Java 3D 1.3
See Also:
  `Locale`, `ConfiguredUniverse`, `SimpleUniverse`

Method Summary
`Locale` `createLocale(VirtualUniverse universe)` Creates a new Locale object at (0, 0, 0) in the specified universe.
`Locale` `createLocale(VirtualUniverse universe, HiResCoord hiRes)` Creates a new Locale object at the specified high resolution coordinate in the specified universe.

Method Detail

### createLocale

    Locale createLocale(VirtualUniverse universe,
                        HiResCoord hiRes)

  Creates a new Locale object at the specified high resolution coordinate in the specified universe.

  Parameters:
    `universe` - the VirtualUniverse in which to create the Locale
    `hiRes` - the high resolution coordinate that defines the origin of the Locale

### createLocale

    Locale createLocale(VirtualUniverse universe)

  Creates a new Locale object at (0, 0, 0) in the specified universe.

  Parameters:
    `universe` - the VirtualUniverse in which to create the Locale

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.